User account creation filtered due to spam.

Bug 33782 - FAIL: gcc.c-torture/compile/limits-stringlit.c (test for excess errors)
Summary: FAIL: gcc.c-torture/compile/limits-stringlit.c (test for excess errors)
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: testsuite (show other bugs)
Version: 4.3.0
: P3 normal
Target Milestone: 4.4.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-15 15:40 UTC by Rask Ingemann Lambertsen
Modified: 2008-05-26 19:58 UTC (History)
2 users (show)

See Also:
Host:
Target: m32c-unknown-elf avr-unknown-none
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rask Ingemann Lambertsen 2007-10-15 15:40:56 UTC
This started happening between revision 128772 (good) and 128824 (bad):
.../gcc/testsuite/gcc.c-torture/compile/limits-stringlit.c:10: error: size of array is too large

This appears to happen on all targets with 16-bit int. Revision 128811 suspected.
Comment 1 Wouter van Gulik 2007-11-06 20:41:46 UTC
Well, that would be ok for the AVR. The test is allocating more than the 64K of adressable space the AVR has. This should be a "expected to fail" for the AVR 
Comment 2 Andy Hutchinson 2008-04-09 23:59:25 UTC
Subject: Bug 33782

Author: hutchinsonandy
Date: Wed Apr  9 23:58:39 2008
New Revision: 134153

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=134153
Log:
2008-04-09  Andy Hutchinson  <hutchinsonandy@aim.com>

	PR testsuite/34894
	PR testsuite/33782
	* lib/target-supports.dg: Add check_effective_target_trampolines.
	Disable profiling for avr-*-*.
	* gcc.c-torture/compile/pr27889.c: dg-requires trampolines.
	* gcc.c-torture/compile/nested-1.c: Ditto.
	* gcc.c-torture/compile/20050122-2.c: Ditto.
	* gcc.c-torture/compile/20010226-1.c: Ditto.
	* gcc.c-torture/compile/20010327-1.c:  Skip for avr-*-*.
	* gcc.c-torture/compile/980506-1.c: Ditto.
	* gcc.c-torture/compile/20020604-1.c: Ditto.
	* gcc.c-torture/compile/limits-stringlit.c: Ditto
	* gcc.c-torture/compile/20001226-1.c: Ditto

Modified:
    trunk/gcc/testsuite/ChangeLog
    trunk/gcc/testsuite/gcc.c-torture/compile/20001226-1.c
    trunk/gcc/testsuite/gcc.c-torture/compile/20010226-1.c
    trunk/gcc/testsuite/gcc.c-torture/compile/20010327-1.c
    trunk/gcc/testsuite/gcc.c-torture/compile/20020604-1.c
    trunk/gcc/testsuite/gcc.c-torture/compile/20050122-2.c
    trunk/gcc/testsuite/gcc.c-torture/compile/980506-1.c
    trunk/gcc/testsuite/gcc.c-torture/compile/limits-stringlit.c
    trunk/gcc/testsuite/gcc.c-torture/compile/nested-1.c
    trunk/gcc/testsuite/gcc.c-torture/compile/pr27889.c
    trunk/gcc/testsuite/lib/target-supports.exp

Comment 3 Andy Hutchinson 2008-04-12 15:46:53 UTC
Fixed 4.4